function thisMovie(movieName)  
{  
  if (window.document[movieName])   
  {  
      return window.document[movieName];  
  }  
  if (navigator.appName.indexOf("Microsoft Internet")==-1)  
  {  
    if (document.embeds && document.embeds[movieName])  
      return document.embeds[movieName];   
  }  
  else
  {  
    return document.getElementById(movieName);  
  }  
}  


function additem(pid)
{
	thisMovie("diyswf").sendToActionScript(pid);
}